## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate datetime

Name:           rust-datetime
Version:        0.5.2
Release:        %autorelease
Summary:        Library for date and time formatting and arithmetic

License:        MIT
URL:            https://crates.io/crates/datetime
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          datetime-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump iso8601 dependency from 0.3 to 0.4:
#   https://github.com/rust-datetime/datetime/pull/30
Patch:          datetime-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Library for date and time formatting and arithmetic.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENCE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+format-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+format-devel %{_description}

This package contains library source intended for building other packages which
use the "format" feature of the "%{crate}" crate.

%files       -n %{name}+format-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+iso8601-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+iso8601-devel %{_description}

This package contains library source intended for building other packages which
use the "iso8601" feature of the "%{crate}" crate.

%files       -n %{name}+iso8601-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+locale-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+locale-devel %{_description}

This package contains library source intended for building other packages which
use the "locale" feature of the "%{crate}" crate.

%files       -n %{name}+locale-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pad-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pad-devel %{_description}

This package contains library source intended for building other packages which
use the "pad" feature of the "%{crate}" crate.

%files       -n %{name}+pad-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parse-devel %{_description}

This package contains library source intended for building other packages which
use the "parse" feature of the "%{crate}" crate.

%files       -n %{name}+parse-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# exclude executable file that causes an unnecessary ruby dependency
rm tests/generate_tests.rb
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-7
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Apr 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2.
- Fixes RHBZ#1945691

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Josh Stone <jistone@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Mon May 18 10:54:10 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.0-2
- Update iso8601 to 0.4

* Sun May 17 09:45:21 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jul 14 19:18:07 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-7
- Regenerate

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-6
- Update iso8601 to 0.3

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-2
- Rebuild for rust-packaging v5

* Tue Nov 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-1
- Initial package

## END: Generated by rpmautospec
